org.fife.ui.rsyntaxtextarea.folding

## Class LispFoldParser

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.folding.CurlyFoldParser
  - - org.fife.ui.rsyntaxtextarea.folding.LispFoldParser

All Implemented Interfaces:
  FoldParser

    public class LispFoldParser
    extends CurlyFoldParser

Fold parser for Lisp and related languages.

Version:
  1.0
Author:
  Robert Futrell

### Field Summary

### Fields inherited from class org.fife.ui.rsyntaxtextarea.folding.CurlyFoldParser

`C_MLC_END`

### Constructor Summary

Constructors
Constructor and Description
`LispFoldParser()`

### Method Summary

Methods
`boolean` `isLeftCurly(Token t)` Returns whether the token is a left curly brace.
`boolean` `isRightCurly(Token t)` Returns whether the token is a right curly brace.

### Methods inherited from class org.fife.ui.rsyntaxtextarea.folding.CurlyFoldParser

`getFoldableMultiLineComments, getFolds, setFoldableMultiLineComments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LispFoldParser

    public LispFoldParser()

### Method Detail

#### isLeftCurly

    public boolean isLeftCurly(Token t)

Description copied from class: `CurlyFoldParser`
Returns whether the token is a left curly brace. This method exists so subclasses can provide their own curly brace definition.

Overrides:
  `isLeftCurly` in class `CurlyFoldParser`
Parameters:
  `t` - The token.
Returns:
  Whether it is a left curly brace.
See Also:
  `CurlyFoldParser.isRightCurly(Token)`

#### isRightCurly

    public boolean isRightCurly(Token t)

Description copied from class: `CurlyFoldParser`
Returns whether the token is a right curly brace. This method exists so subclasses can provide their own curly brace definition.

Overrides:
  `isRightCurly` in class `CurlyFoldParser`
Parameters:
  `t` - The token.
Returns:
  Whether it is a right curly brace.
See Also:
  `CurlyFoldParser.isLeftCurly(Token)`